### A free/open-source library for quantitative finance

Public Member Functions
ConvertibleFixedCouponBond Class Reference

convertible fixed-coupon bond More...

`#include <ql/experimental/convertiblebonds/convertiblebond.hpp>`

Inheritance diagram for ConvertibleFixedCouponBond:
[legend]

List of all members.

## Public Member Functions

| ConvertibleFixedCouponBond (const boost::shared_ptr< Exercise > &exercise, Real conversionRatio, const DividendSchedule &dividends, const CallabilitySchedule &callability, const Handle< Quote > &creditSpread, const Date &issueDate, Natural settlementDays, const std::vector< Rate > &coupons, const DayCounter &dayCounter, const Schedule &schedule, Real redemption=100)

## Detailed Description

convertible fixed-coupon bond

Warning:
  Most methods inherited from Bond (such as yield or the yield-based dirtyPrice and cleanPrice) refer to the underlying plain-vanilla bond and do not take convertibility and callability into account.

Examples:
  ConvertibleBonds.cpp.